/*
 * This file is part of Krita
 *
 * Copyright (c) 2007 Cyrille Berger <cberger@cberger.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef KIS_DODGE_BURN_CONFIGURATION_WIDGET_H_
#define KIS_DODGE_BURN_CONFIGURATION_WIDGET_H_

// TODO: remove that
#define LCMS_HEADER <lcms.h>
// TODO: remove it !

#include <kis_filter_config_widget.h>

class KisFilter;
class DodgeBurnConfigurationBaseWidget;
class QListViewItem;

enum DodgeBurnType {
    SHADOWS,
    MIDTONES,
    HIGHLIGHTS
};

/**
        @author Cyrille Berger <cberger@cberger.net>
*/
class DodgeBurnConfigurationWidget : public KisFilterConfigWidget
{
    Q_OBJECT
    public:
        DodgeBurnConfigurationWidget(QWidget * parent, const char * name);
        ~DodgeBurnConfigurationWidget();
        virtual void setConfiguration(KisFilterConfiguration*);
        KisFilterConfiguration* configuration(QString id, int version);
    private:
        inline DodgeBurnConfigurationBaseWidget* widget() { return m_widget; }
    private:
        DodgeBurnConfigurationBaseWidget* m_widget;
};

#endif
